<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="obj_cfg.xsd"/>
<xsd:include schemaLocation="common_trans.xsd"/>

	<xsd:element name="RESPONSE_TRANS_CFG">
        <xsd:complexType>
		    <xsd:sequence>
				<xsd:element ref="RETURN_STATUS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>
	

	<xsd:element name="GET_CFG">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="SYSTEM_CFG"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>	

	<xsd:element name="SET_CFG"/>
	
	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET_CFG"/>		
			<xsd:element ref="SET_CFG"/>
		</xsd:choice>
	</xsd:group>
	

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>
		
</xsd:schema>